<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PaymentMethodSearchBasic StructType
 * @subpackage Structs
 */
class PaymentMethodSearchBasic extends SearchRecordBasic
{
    /**
     * The account
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $account;
    /**
     * The creditCard
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $creditCard;
    /**
     * The externalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $externalId;
    /**
     * The externalIdString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $externalIdString;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The isDebitCard
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isDebitCard;
    /**
     * The isInactive
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isInactive;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $name;
    /**
     * Constructor method for PaymentMethodSearchBasic
     * @uses PaymentMethodSearchBasic::setAccount()
     * @uses PaymentMethodSearchBasic::setCreditCard()
     * @uses PaymentMethodSearchBasic::setExternalId()
     * @uses PaymentMethodSearchBasic::setExternalIdString()
     * @uses PaymentMethodSearchBasic::setInternalId()
     * @uses PaymentMethodSearchBasic::setInternalIdNumber()
     * @uses PaymentMethodSearchBasic::setIsDebitCard()
     * @uses PaymentMethodSearchBasic::setIsInactive()
     * @uses PaymentMethodSearchBasic::setName()
     * @param \StructType\SearchMultiSelectField $account
     * @param \StructType\SearchBooleanField $creditCard
     * @param \StructType\SearchMultiSelectField $externalId
     * @param \StructType\SearchStringField $externalIdString
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchBooleanField $isDebitCard
     * @param \StructType\SearchBooleanField $isInactive
     * @param \StructType\SearchStringField $name
     */
    public function __construct(\StructType\SearchMultiSelectField $account = null, \StructType\SearchBooleanField $creditCard = null, \StructType\SearchMultiSelectField $externalId = null, \StructType\SearchStringField $externalIdString = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchBooleanField $isDebitCard = null, \StructType\SearchBooleanField $isInactive = null, \StructType\SearchStringField $name = null)
    {
        $this
            ->setAccount($account)
            ->setCreditCard($creditCard)
            ->setExternalId($externalId)
            ->setExternalIdString($externalIdString)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setIsDebitCard($isDebitCard)
            ->setIsInactive($isInactive)
            ->setName($name);
    }
    /**
     * Get account value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getAccount()
    {
        return $this->account;
    }
    /**
     * Set account value
     * @param \StructType\SearchMultiSelectField $account
     * @return \StructType\PaymentMethodSearchBasic
     */
    public function setAccount(\StructType\SearchMultiSelectField $account = null)
    {
        $this->account = $account;
        return $this;
    }
    /**
     * Get creditCard value
     * @return \StructType\SearchBooleanField|null
     */
    public function getCreditCard()
    {
        return $this->creditCard;
    }
    /**
     * Set creditCard value
     * @param \StructType\SearchBooleanField $creditCard
     * @return \StructType\PaymentMethodSearchBasic
     */
    public function setCreditCard(\StructType\SearchBooleanField $creditCard = null)
    {
        $this->creditCard = $creditCard;
        return $this;
    }
    /**
     * Get externalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getExternalId()
    {
        return $this->externalId;
    }
    /**
     * Set externalId value
     * @param \StructType\SearchMultiSelectField $externalId
     * @return \StructType\PaymentMethodSearchBasic
     */
    public function setExternalId(\StructType\SearchMultiSelectField $externalId = null)
    {
        $this->externalId = $externalId;
        return $this;
    }
    /**
     * Get externalIdString value
     * @return \StructType\SearchStringField|null
     */
    public function getExternalIdString()
    {
        return $this->externalIdString;
    }
    /**
     * Set externalIdString value
     * @param \StructType\SearchStringField $externalIdString
     * @return \StructType\PaymentMethodSearchBasic
     */
    public function setExternalIdString(\StructType\SearchStringField $externalIdString = null)
    {
        $this->externalIdString = $externalIdString;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\PaymentMethodSearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\PaymentMethodSearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get isDebitCard value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsDebitCard()
    {
        return $this->isDebitCard;
    }
    /**
     * Set isDebitCard value
     * @param \StructType\SearchBooleanField $isDebitCard
     * @return \StructType\PaymentMethodSearchBasic
     */
    public function setIsDebitCard(\StructType\SearchBooleanField $isDebitCard = null)
    {
        $this->isDebitCard = $isDebitCard;
        return $this;
    }
    /**
     * Get isInactive value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsInactive()
    {
        return $this->isInactive;
    }
    /**
     * Set isInactive value
     * @param \StructType\SearchBooleanField $isInactive
     * @return \StructType\PaymentMethodSearchBasic
     */
    public function setIsInactive(\StructType\SearchBooleanField $isInactive = null)
    {
        $this->isInactive = $isInactive;
        return $this;
    }
    /**
     * Get name value
     * @return \StructType\SearchStringField|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param \StructType\SearchStringField $name
     * @return \StructType\PaymentMethodSearchBasic
     */
    public function setName(\StructType\SearchStringField $name = null)
    {
        $this->name = $name;
        return $this;
    }
}
